backports temporairement sur Stable ?

Le
Pierre L.
This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--FzCi8MQcrkXgQyj4msvxaIX5EztMglCzo
Content-Type: multipart/mixed; boundary="xP8JisOyoQce8OQ7wWU0r7JJZ8B16qm1L";
protected-headers="v1"
From: "Pierre L." <petrus@miosweb.mooo.com>
To: debian-user-french@lists.debian.org
Message-ID: <6edd01aa-bd5e-7895-baa2-e60fdc0d5dbb@miosweb.mooo.com>
Subject: backports temporairement sur Stable ?

--xP8JisOyoQce8OQ7wWU0r7JJZ8B16qm1L
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: fr

Bonjour,

Afin d'installer un paquet non disponible dans les sources de Debian
Stable, j'apprends qu'il me faut ajouter une source supplémentaire
pointant vers "backports".
Je réalise alors cette configuration selon les infos données ic=
i :
https://wiki.debian.org/Backports

Cependant, je me dis qu'en gardant cette ligne dans mes sources, le
système en entier risque de se mettre à jour avec des paquets (=
non
stables) depuis backports ? Ou seulement le paquet (et ses dépendanc=
es
directes) se mettront à jour lors un "apt-get upgrade" et/ou "apt-ge=
t
dist-upgrade" ?

Bref, après l'install du paquet depuis backports, dois-je laisser ce=
tte
source dans ma liste, ou la retirer en la commentant par exemple avec un =
# ?

Merci d'avance !
Et bon w-end !


--xP8JisOyoQce8OQ7wWU0r7JJZ8B16qm1L--

--FzCi8MQcrkXgQyj4msvxaIX5EztMglCzo
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

--BEGIN PGP SIGNATURE--
Comment: Using GnuPG with Thunderbird - https://www.enigmail.net/

iQIzBAEBCAAdFiEEqp6CU/crahjY2x3n6briFe8NSUUFAlyfHMwACgkQ6briFe8N
SUUdDQ/9FAyqA0s4107HttvkCvmxITi+SwpHvaaDFZMWVmerLDkS5nJvR0lRJq+z
4upjUZLONl9nJ0kpXmQEzkjuuR4QbhCeLObEo1+we+eRQtSJA/c+2mOOmhWbS7Qp
iIgvA6yL3+qyUJHAqcrJ9pVLrkv4VAcLaX1e5j2NQImWRRtFF4DQrykw5FoBAUe8
twSplxvWDl0y38qPIViuKdtqbgTr7X+8aJ5DrzQGcWCxVMSVNiwOSmN8dcsur2RY
6jLW1wr4E+mhL8vRK5AyTV8M4Qw+fTr3nxAkkxQdVYJzlEPFTQ3kOxvdSwicWoUU
uVM1Rg+XDhG4ETJ8BLPG4tZhs6l6cPmEhedYH2Uy74mhcIW5NWj3eZQoTmMP3WSR
u5vKfCQ9heI5odpULaSxv3fLi6ria5j6HrLsoTNFLqoLRjq+gw0OARd6uhaCkDTg
/dIbXdqFFQJknOmkQj4frnJVhwArhhTc5NYVlMV1CyUjOPCQZ24sUEe5GlTqgml+
KG5OdioATgkfybwPIkOJSuegqpEPY+Y55P8PyOeOOunJ12M3iOTTVHBEfcFdwL2F
NPX2g50+okSn/JPQNK1OVikXmf1okoyo/pVQgSYKtGQrshrZ9cWVoNNfnISN66mi
2a3M86jlbT3f97/2CS0J/Hg+PuIFkAiIHURpJviWAO9XzyJ8XGc=
=I2hH
--END PGP SIGNATURE--

--FzCi8MQcrkXgQyj4msvxaIX5EztMglCzo--
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
didier gaumet
Le #26513314
Le 30/03/2019 à 08:37, Pierre L. a écrit :
Bonjour,
Afin d'installer un paquet non disponible dans les sources de Debian
Stable, j'apprends qu'il me faut ajouter une source supplémentaire
pointant vers "backports".
Je réalise alors cette configuration selon les infos données ici :
https://wiki.debian.org/Backports
Cependant, je me dis qu'en gardant cette ligne dans mes sources, le
système en entier risque de se mettre à jour avec des paquets (non
stables) depuis backports ?

non (la philosophie de backports est de considérer que c'est utile pour
proposer ponctuellement des paquets plus récents, pas de s'assurer
absolument que ces paquets sont homogènes et compatibles entre eux: il
est déconseillé d'installer tous les backports disponibles)
Ou seulement le paquet (et ses dépendances
directes) se mettront à jour lors un "apt-get upgrade" et/ou "apt-get
dist-upgrade" ?

oui
Bref, après l'install du paquet depuis backports, dois-je laisser cette
source dans ma liste, ou la retirer en la commentant par exemple avec un # ?

tu peux laisser.
cf
https://wiki.debian.org/fr/Backports#Installer_un_r.2BAOk-troportage_en_ligne_de_commande:
"Le dépôt des rétroportages est désactivé par défaut. Donc, si vous
voulez installer un paquet rétroporté, vous devez l'indiquer de façon
explicite."
C'est un peu ambigu mais ce qu'il faut comprendre est que même si le
dépôt backports est actif dans tes sources de dépôts, l'installation de
ses paquets est désactivée par défaut.
Par exemple, je suis en Stable mais j'ai besoin d'un noyau récent pour
faire tourner correctement mon dernier laptop, c'est donc un noyau
backports qui tourne:
:~$ apt policy linux-image-amd64
linux-image-amd64:
Installé : 4.19+102~bpo9+1
Candidat : 4.19+102~bpo9+1
Table de version :
*** 4.19+102~bpo9+1 100
100 https://deb.debian.org/debian stretch-backports/main amd64
Packages
100 /var/lib/dpkg/status
4.9+80+deb9u6 500
500 https://deb.debian.org/debian stretch/main amd64 Packages
500 https://deb.debian.org/debian-security stretch/updates/main
amd64 Packages
tu peux donc voir que le paquet d'origine "stable est en priorité 500
(priorité standard) tandis que le paquet d'origine "backports" est en
priorité 100 (moins prioritaire). Donc ce noyau backports n'a été
installé que parce que j'en ai fait la demande explicite et il sera mis
à jour vers une version plus récente si et quand cette version
apparaîtra, que ce soit sur backports ou un autre dépôt, par exemple le
dépôt stable quand on passera de Stretch à Buster (il me semble que la
gestion des priorités est expliquée dans la page man de apt-preferences
même si je n'en suis pas totalement sûr)
Merci d'avance !
Et bon w-end !
Pierre L.
Le #26513313
This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--trGfnjCG9q3SdUukDBBAGrLRCy8fiOJHh
Content-Type: multipart/mixed; boundary="zJ9pUEcHblWqC9GKoM839umEYGlYqImO8";
protected-headers="v1"
From: "Pierre L." To:
Message-ID: Subject: Re: backports temporairement sur Stable ?
References: In-Reply-To: --zJ9pUEcHblWqC9GKoM839umEYGlYqImO8
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: fr
Merci à toi pour ces explications très claires et instructives !

Le 30/03/2019 à 09:16, didier gaumet a écrit :
Le 30/03/2019 à 08:37, Pierre L. a écrit :
Bonjour,
Afin d'installer un paquet non disponible dans les sources de Debian
Stable, j'apprends qu'il me faut ajouter une source supplémentair e
pointant vers "backports".
Je réalise alors cette configuration selon les infos données ici :
https://wiki.debian.org/Backports
Cependant, je me dis qu'en gardant cette ligne dans mes sources, le
système en entier risque de se mettre à jour avec des paquet s (non
stables) depuis backports ?

non (la philosophie de backports est de considérer que c'est utile pour
proposer ponctuellement des paquets plus récents, pas de s'assurer
absolument que ces paquets sont homogènes et compatibles entre eux : il
est déconseillé d'installer tous les backports disponibles)
Ou seulement le paquet (et ses dépendances
directes) se mettront à jour lors un "apt-get upgrade" et/ou "apt -get
dist-upgrade" ?

oui
Bref, après l'install du paquet depuis backports, dois-je laisser cette
source dans ma liste, ou la retirer en la commentant par exemple avec un # ?

tu peux laisser.
cf
https://wiki.debian.org/fr/Backports#Installer_un_r.2BAOk-troportage_en _ligne_de_commande:
"Le dépôt des rétroportages est désactivé par défaut. Donc, si vous
voulez installer un paquet rétroporté, vous devez l'indiquer de façon
explicite."
C'est un peu ambigu mais ce qu'il faut comprendre est que même si le
dépôt backports est actif dans tes sources de dépôt s, l'installation de
ses paquets est désactivée par défaut.
Par exemple, je suis en Stable mais j'ai besoin d'un noyau récent pour
faire tourner correctement mon dernier laptop, c'est donc un noyau
backports qui tourne:
:~$ apt policy linux-image-amd64
linux-image-amd64:
Installé : 4.19+102~bpo9+1
Candidat : 4.19+102~bpo9+1
Table de version :
*** 4.19+102~bpo9+1 100
100 https://deb.debian.org/debian stretch-backports/main amd64
Packages
100 /var/lib/dpkg/status
4.9+80+deb9u6 500
500 https://deb.debian.org/debian stretch/main amd64 Packages
500 https://deb.debian.org/debian-security stretch/updates/main
amd64 Packages
tu peux donc voir que le paquet d'origine "stable est en priorité 500
(priorité standard) tandis que le paquet d'origine "backports" est en
priorité 100 (moins prioritaire). Donc ce noyau backports n'a é té
installé que parce que j'en ai fait la demande explicite et il ser a mis
à jour vers une version plus récente si et quand cette versi on
apparaîtra, que ce soit sur backports ou un autre dépôt, par exemple le
dépôt stable quand on passera de Stretch à Buster (il me semble que la
gestion des priorités est expliquée dans la page man de apt-p references
même si je n'en suis pas totalement sûr)
Merci d'avance !
Et bon w-end !



--zJ9pUEcHblWqC9GKoM839umEYGlYqImO8--
--trGfnjCG9q3SdUukDBBAGrLRCy8fiOJHh
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"
-----BEGIN PGP SIGNATURE-----
Comment: Using GnuPG with Thunderbird - https://www.enigmail.net/
iQIzBAEBCAAdFiEEqp6CU/crahjY2x3n6briFe8NSUUFAlyfJ1kACgkQ6briFe8N
SUXiiA/5ASZ68tuPtAgKrOnoLlUkB6RRuVu7eg5VdLLUs8GMQrQMt8tRdVG5nb8+
kJ3pr4btCZP5pYQPHXS5/oJxgTT230OwPuQo8ald8MsAvyccw3l+SVlf1nytuR1I
XUHUdmNmoOFL2EHYSbinX9ZGVUXHU0EkX2GVx+Vc6ZWgud9FgjBBe1d4tf+fD1RI
Ylk55D9LC6RMXR5G6fTuB/RqOUpTk4RMHnhHXCPRqM4E11TTDj18gylqS0Z49jYg
JMLuKryYhJUU/fEKOkvG8l1SunCJz7trG3NotLqxyGh/cyR2/YcQ6LxdzGoZoonr
bpEQYapDZNgoujuhvKkPmwE6cgFze+0SPsyoUsjLEAIAt/8lrv+imKgKM9GukNaw
A7VrB568ev6eOyXve40TjbDokkQA0Wj80r9Wra0U5L7U8w/F9fF1yNsC9Bp59cIV
vo7SNbeFF/ZmTaQRN5ylUdsNKZ5obwz5+H8aKlG/jSrZ13WXk77WWwD1E/96KYlq
1r5RVtN7gEcbeIsHedxDf8hB73k14EOwVoVR5LoEmALILpRPCqRKuiT/6+4+cNEF
YzxzRpFOXr3JW0XDtJQK/aexb9INNSqDdM7Je3+DpZxk4Gd5rxshs8Svz8+lZEZ1
kuWiit9hI5XSuWnNOlImWI/SJlhVy7XttvhEzjAvwhFSp6otTYQ =DRvl
-----END PGP SIGNATURE-----
--trGfnjCG9q3SdUukDBBAGrLRCy8fiOJHh--
Publicité
Poster une réponse
Anonyme